Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
GLX not working with intel drivers
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
TSM
n00b
n00b


Joined: 20 Jan 2018
Posts: 2

PostPosted: Sat Jan 20, 2018 12:19 pm    Post subject: GLX not working with intel drivers Reply with quote

Code:
$ glxinfo
name of display: :0
Error: couldn't find RGB GLX visual or fbconfig


Code:
$ /usr/sbin/lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)

Xorg.0.log: https://pastebin.com/f31qU17g
make.conf: https://pastebin.com/XcmZWhbw

Most interesting (IMO) places from xorg log:
Code:
[    29.652] (II) Loading sub module "glamoregl"
[    29.652] (II) LoadModule: "glamoregl"
[    29.652] (II) Loading /usr/lib64/xorg/modules/libglamoregl.so
[    29.652] (II) Module glamoregl: vendor="X.Org Foundation"
[    29.652]    compiled for 1.19.6, module version = 1.0.0
[    29.652]    ABI class: X.Org ANSI C Emulation, version 0.4
[    29.652] (II) glamor: OpenGL accelerated X.org driver based.
[    29.654] (II) glamor: EGL version 1.4 (DRI2):
[    29.654] EGL_MESA_drm_image required.
[    29.654] (EE) modeset(G0): glamor initialization failed

Code:
[    29.728] (II) AIGLX: Screen 0 is not DRI2 capable
[    29.728] (EE) AIGLX: reverting to software rendering
[    29.728] (EE) AIGLX error: dlopen of /usr/lib64/dri/swrast_dri.so failed (/usr/lib64/dri/swrast_dri.so: cannot open shared object file: No such file or directory)
[    29.728] (EE) GLX: could not load software renderer
[    29.728] (II) GLX: no usable GL providers found for screen 0

Any ideas how to fix this?
Note: it's a laptop that also has nvidia gpu but i've excluded nouveau from VIDEO_CARDS. If it can cause problems, tell me.
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5773

PostPosted: Sat Jan 20, 2018 6:58 pm    Post subject: Reply with quote

Can you show us "emerge -pv libdrm mesa", and maybe see if there's anything interesting in dmesg?
Back to top
View user's profile Send private message
TSM
n00b
n00b


Joined: 20 Jan 2018
Posts: 2

PostPosted: Sat Jan 20, 2018 8:17 pm    Post subject: Reply with quote

Ant P. wrote:
Can you show us "emerge -pv libdrm mesa", and maybe see if there's anything interesting in dmesg?

Code:
# emerge -pv libdrm mesa

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] x11-libs/libdrm-2.4.89::gentoo  USE="-libkms -static-libs -valgrind" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="intel -amdgpu (-exynos) (-freedreno) -nouveau (-omap) -radeon (-tegra) (-vc4) (-vivante) -vmware" 0 KiB
[ebuild   R    ] media-libs/mesa-17.3.1::gentoo  USE="classic dri3 egl gallium gbm llvm nptl -bindist -d3d9 -debug -gles1 -gles2 -opencl -openmax -osmesa -pax_kernel -pic (-selinux) -unwind -vaapi -valgrind -vdpau -vulkan -wayland -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="i965 intel (-freedreno) -i915 (-imx) -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi (-vc4) -virgl (-vivante) -vmware" 0 KiB

Total: 2 packages (2 reinstalls), Size of downloads: 0 KiB

about dmesg: if you're talking about severe priority messages colored red, then nope, nothing except something harmless like pps state mismatch from i915 or mmio fault from nouveau, i've been getting them on arch where everything worked fine.

But fear not, i've already found the solution for my own problem and filed a bug that's probably related to 17.1 migration (sorry, forgot to mention that i'm on it): https://bugs.gentoo.org/645148
Back to top
View user's profile Send private message
bunder
Bodhisattva
Bodhisattva


Joined: 10 Apr 2004
Posts: 5849

PostPosted: Sat Jan 20, 2018 9:37 pm    Post subject: Reply with quote

TSM wrote:
about dmesg: if you're talking about severe priority messages colored red, then nope, nothing except something harmless like pps state mismatch from i915


https://bugs.freedesktop.org/show_bug.cgi?id=103903

i think that cropped up somewhere between 4.9 and 4.14, you can apply the patch until the fix comes in from upstream.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum